{
  "name": "web",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "test:unit": "vue-cli-service test:unit",
    "test:e2e": "vue-cli-service test:e2e",
    "lint": "vue-cli-service lint",
    "i18n:report": "vue-cli-service i18n:report --src \"./src/**/*.?(js|vue)\" --locales \"./src/locales/**/*.json\"",
    "api:generate": "openapi-generator-cli generate -g typescript-axios -i https://develop.ledius.ru/api/docs-json -o src/api/courses --remove-operation-id-prefix --additional-properties=useSingleRequestParameter=true,supportsES6=true",
    "api-lds:generate": "openapi-generator-cli generate -g typescript-axios -i https://develop.ledius.ru/api/ledius-token/docs-json -o src/api/ledius-token --remove-operation-id-prefix --additional-properties=useSingleRequestParameter=true,supportsES6=true"
  },
  "dependencies": {
    "@ledius/software-development-kit": "^1.0.4",
    "axios": "^0.21.1",
    "class-transformer": "^0.5.1",
    "core-js": "^3.19.3",
    "date-fns": "^2.27.0",
    "register-service-worker": "^1.7.2",
    "sanitize-html": "^2.6.1",
    "vue": "^2.6.14",
    "vue-class-component": "^7.2.6",
    "vue-i18n": "^8.26.7",
    "vue-property-decorator": "^9.1.2",
    "vue-qrcode-reader": "^3.1.0",
    "vue-router": "^3.5.3",
    "vue-sanitize": "^0.2.1",
    "vue-the-mask": "^0.11.1",
    "vuetify": "^2.6.1",
    "vuex": "^3.6.2"
  },
  "devDependencies": {
    "@intlify/vue-i18n-loader": "^1.1.0",
    "@openapitools/openapi-generator-cli": "^2.4.23",
    "@types/jest": "^24.9.1",
    "@types/mocha": "^8.2.3",
    "@types/sanitize-html": "^2.6.0",
    "@types/vue-the-mask": "^0.11.1",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "@vue/cli-plugin-babel": "~4.5.15",
    "@vue/cli-plugin-e2e-webdriverio": "~4.5.15",
    "@vue/cli-plugin-eslint": "~4.5.15",
    "@vue/cli-plugin-pwa": "~4.5.15",
    "@vue/cli-plugin-router": "~4.5.15",
    "@vue/cli-plugin-typescript": "~4.5.15",
    "@vue/cli-plugin-unit-jest": "~4.5.15",
    "@vue/cli-plugin-vuex": "~4.5.15",
    "@vue/cli-service": "~4.5.15",
    "@vue/eslint-config-standard": "^5.1.2",
    "@vue/eslint-config-typescript": "^7.0.0",
    "@vue/test-utils": "^1.3.0",
    "chromedriver": "96.0.0",
    "eslint": "^6.8.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.3.1",
    "eslint-plugin-standard": "^4.1.0",
    "eslint-plugin-vue": "^6.2.2",
    "node-sass": "^4.14.1",
    "sass": "^1.44.0",
    "sass-loader": "^10.2.0",
    "ts-node": "^8.10.2",
    "typescript": "~4.5.3",
    "vue-cli-plugin-i18n": "~2.3.1",
    "vue-cli-plugin-vuetify": "~2.4.5",
    "vue-template-compiler": "^2.6.14",
    "vuetify-loader": "^1.7.3",
    "wdio-chromedriver-service": "^6.0.4"
  }
}
